Package com.xebialabs.xlrelease.utils

# Class WordUtils

java.lang.Object
com.xebialabs.xlrelease.utils.WordUtils

public class WordUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `capitalize(String str)`
  Capitalizes all the whitespace separated words in a String.
  `static String`
  `capitalize(String str, char... delimiters)`
  Capitalizes all the delimiter separated words in a String.
  `static String`
  `convertToTitleCase(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### convertToTitleCase

    public static String convertToTitleCase(String value)

  - ### capitalize

    public static String capitalize(String str)
    Capitalizes all the whitespace separated words in a String. Only the first character of each word is changed.

    Whitespace is defined by `Character.isWhitespace(char)`. A `null` input String returns `null`. Capitalization uses the Unicode title case, normally equivalent to upper case.

         WordUtils.capitalize(null)        = null
         WordUtils.capitalize("")          = ""
         WordUtils.capitalize("i am FINE") = "I Am FINE"

    Parameters:
      `str` - the String to capitalize, may be null
    Returns:
      capitalized String, `null` if null String input

  - ### capitalize

    public static String capitalize(String str, char... delimiters)
    Capitalizes all the delimiter separated words in a String. Only the first character of each word is changed.

    The delimiters represent a set of characters understood to separate words. The first string character and the first non-delimiter character after a delimiter will be capitalized.

    A `null` input String returns `null`. Capitalization uses the Unicode title case, normally equivalent to upper case.

         WordUtils.capitalize(null, *)            = null
         WordUtils.capitalize("", *)              = ""
         WordUtils.capitalize(*, new char[0])     = *
         WordUtils.capitalize("i am fine", null)  = "I Am Fine"
         WordUtils.capitalize("i aM.fine", {'.'}) = "I aM.Fine"
         WordUtils.capitalize("i am fine", new char[]{}) = "I am fine"

    Parameters:
      `str` - the String to capitalize, may be null
      `delimiters` - set of characters to determine capitalization, null means whitespace
    Returns:
      capitalized String, `null` if null String input